[Pkg-haskell-commits] darcs: ftphs: More debian/ work
John Goerzen
jgoerzen at complete.org
Fri Jan 4 14:18:09 UTC 2013
Wed Oct 6 02:52:37 UTC 2004 John Goerzen <jgoerzen at complete.org>
* More debian/ work
Ignore-this: 4c1c1f83ade80d6c5f2bac3d9ed7dd9c
Keywords:
(jgoerzen at complete.org--projects/missingh--head--1.0--patch-28)
./libghc6-missingh-dev.postinst -> ./libghc6-missingh-dev.postinst.tmpl
./libghc6-missingh-prerm -> ./libghc6-missingh-dev.prerm.tmpl
M ./control -1 +1
R ./dirs
A ./libghc6-missingh-dev.dirs
M ./libghc6-missingh-dev.postinst.tmpl -1 +1
M ./libghc6-missingh-dev.prerm.tmpl -1 +1
R ./missingh-dev.dirs
A ./missingh-doc.docs
R ./missingh1.dirs
M ./rules -3 +10
Wed Oct 6 02:52:37 UTC 2004 John Goerzen <jgoerzen at complete.org>
* More debian/ work
Ignore-this: 4c1c1f83ade80d6c5f2bac3d9ed7dd9c
Keywords:
(jgoerzen at complete.org--projects/missingh--head--1.0--patch-28)
diff -rN -u old-ftphs//control new-ftphs//control
--- old-ftphs//control 2013-01-04 14:18:06.830938074 +0000
+++ new-ftphs//control 2013-01-04 14:18:09.115792585 +0000
@@ -1,7 +1,7 @@
Source: missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen at complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.1), ghc6 (<< 6.2.2)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.1), ghc6 (<< 6.2.2), ssed
Build-Depends-Indep: debhelper (>= 4.0.0), haddock
Standards-Version: 3.6.1
diff -rN -u old-ftphs//dirs new-ftphs//dirs
--- old-ftphs//dirs 2013-01-04 14:18:06.830938074 +0000
+++ new-ftphs//dirs 1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-usr/bin
-usr/sbin
diff -rN -u old-ftphs//libghc6-missingh-dev.postinst new-ftphs//libghc6-missingh-dev.postinst
--- old-ftphs//libghc6-missingh-dev.postinst 2013-01-04 14:18:06.830938074 +0000
+++ new-ftphs//libghc6-missingh-dev.postinst 1970-01-01 00:00:00.000000000 +0000
@@ -1,43 +0,0 @@
-#! /bin/sh
-# postinst script for missingh
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-# * <postinst> `configure' <most-recently-configured-version>
-# * <old-postinst> `abort-upgrade' <new version>
-# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-# <new-version>
-# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-# <failed-install-package> <version> `removing'
-# <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-#
-
-case "$1" in
- configure)
- ghc-pkg -g --add-package \
- < /usr/share/doc/libghc6-missingh-dev/installed-pkg-config
- ;;
-
- abort-upgrade|abort-remove|abort-deconfigure)
-
- ;;
-
- *)
- echo "postinst called with unknown argument \`$1'" >&2
- exit 1
- ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-
diff -rN -u old-ftphs//libghc6-missingh-dev.postinst.tmpl new-ftphs//libghc6-missingh-dev.postinst.tmpl
--- old-ftphs//libghc6-missingh-dev.postinst.tmpl 1970-01-01 00:00:00.000000000 +0000
+++ new-ftphs//libghc6-missingh-dev.postinst.tmpl 2013-01-04 14:18:09.067749796 +0000
@@ -0,0 +1,43 @@
+#! /bin/sh
+# postinst script for missingh
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+ configure)
+ ghc-pkg -g --add-package \
+ < /usr/lib/haskell-packages/ghc6/lib/MissingH-@@VERSION@@/installed-pkg-config
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff -rN -u old-ftphs//libghc6-missingh-dev.prerm.tmpl new-ftphs//libghc6-missingh-dev.prerm.tmpl
--- old-ftphs//libghc6-missingh-dev.prerm.tmpl 1970-01-01 00:00:00.000000000 +0000
+++ new-ftphs//libghc6-missingh-dev.prerm.tmpl 2013-01-04 14:18:09.067749796 +0000
@@ -0,0 +1,41 @@
+#! /bin/sh
+# prerm script for missingh
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ ghc-pkg -r MissingH
+ rm /usr/lib/haskell-packages/ghc6/lib/MissingH-@@VERSION@@/HSMissingH*.o
+# install-info --quiet --remove /usr/info/missingh.info.gz
+ ;;
+ failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff -rN -u old-ftphs//libghc6-missingh-prerm new-ftphs//libghc6-missingh-prerm
--- old-ftphs//libghc6-missingh-prerm 2013-01-04 14:18:06.830938074 +0000
+++ new-ftphs//libghc6-missingh-prerm 1970-01-01 00:00:00.000000000 +0000
@@ -1,41 +0,0 @@
-#! /bin/sh
-# prerm script for missingh
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-# * <prerm> `remove'
-# * <old-prerm> `upgrade' <new-version>
-# * <new-prerm> `failed-upgrade' <old-version>
-# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
-# * <deconfigured's-prerm> `deconfigure' `in-favour'
-# <package-being-installed> <version> `removing'
-# <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
- remove|upgrade|deconfigure)
- ghc-pkg -r MissingH
- rm /usr/lib/haskell-packages/ghc6/lib/MissingH-0.1.0/HSMissingH*.o
-# install-info --quiet --remove /usr/info/missingh.info.gz
- ;;
- failed-upgrade)
- ;;
- *)
- echo "prerm called with unknown argument \`$1'" >&2
- exit 1
- ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-
diff -rN -u old-ftphs//missingh1.dirs new-ftphs//missingh1.dirs
--- old-ftphs//missingh1.dirs 2013-01-04 14:18:06.830938074 +0000
+++ new-ftphs//missingh1.dirs 1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib
diff -rN -u old-ftphs//missingh-dev.dirs new-ftphs//missingh-dev.dirs
--- old-ftphs//missingh-dev.dirs 2013-01-04 14:18:06.830938074 +0000
+++ new-ftphs//missingh-dev.dirs 1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-usr/lib
-usr/include
diff -rN -u old-ftphs//missingh-doc.docs new-ftphs//missingh-doc.docs
--- old-ftphs//missingh-doc.docs 1970-01-01 00:00:00.000000000 +0000
+++ new-ftphs//missingh-doc.docs 2013-01-04 14:18:07.739742801 +0000
@@ -0,0 +1 @@
+html/*
diff -rN -u old-ftphs//rules new-ftphs//rules
--- old-ftphs//rules 2013-01-04 14:18:06.819758022 +0000
+++ new-ftphs//rules 2013-01-04 14:18:09.127719108 +0000
@@ -15,8 +15,9 @@
export PATH
LIBPATH=/usr/lib/haskell-packages/ghc6
+LIBNAME=MissingH
PACKAGE=libghc6-missingh-dev
-
+VERSION:=$(shell dpkg-parsechangelog | grep Version | awk '{ print $$2 }')
CFLAGS = -Wall -g
@@ -65,7 +66,7 @@
# Add here commands to clean up after the build process.
-$(MAKE) clean
- rm -f .*config*
+ rm -f .*config* debian/$(PACKAGE).postinst debian/$(PACKAGE).prerm
dh_clean
@@ -77,7 +78,13 @@
# Add here commands to install the package into debian/tmp
./setup install --install-prefix=$(CURDIR)/debian/$(PACKAGE)$(LIBPATH)
- cp .installed-pkg-config $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/installed-pkg-config
+ cp .installed-pkg-config $(CURDIR)/debian/$(PACKAGE)$(LIBPATH)/lib/$(LIBNAME)/installed-pkg-config
+ sed s/\@\@VERSION\@\@/$(VERSION)/g < \
+ debian/$(PACKAGE).postinst.tmpl > \
+ debian/$(PACKAGE).postinst
+ sed s/\@\@VERSION\@\@/$(VERSION)/g < \
+ debian/$(PACKAGE).prerm.tmpl > \
+ debian/$(PACKAGE).prerm
builddocs: builddocs-stamp
builddocs-stamp:
More information about the Pkg-haskell-commits
mailing list